#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'rekanan.edit_pemilik_perusahaan'}
#{/set}

<ul class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}" >&{'rekanan.home'}</a></li>
	<li class="active">&{'rekanan.data_penyedia'}</li>
</ul>

#{menuDataPenyedia /}
<div class="content">
	#{notifMigrasiSikap /}
 #{alert /} 
 #{form @rekanan.PemilikCtr.simpan(), method:'POST'}
 #{if pemilik?.pml_id}  
    <input type="hidden" name="pemilik.pml_id" value="${pemilik.pml_id}" />
 #{/if}
 
 
	<div class="form-group row">
	   <label class="col-lg-2 col-form-label">Nama <span class="warning">*</span></label>
	   <div class="col-lg-10 ">
	      <input type="text" maxlength=80 name="pemilik.pml_nama" value="${pemilik?.pml_nama}" class="form-control #{validate 'pemilik.pml_nama' /}">
	      <div class="invalid-feedback">#{error 'pemilik.pml_nama' /}</div>
	    </div>
	</div> 
	<div class="form-group row">
	   <label class="col-lg-2 col-form-label">Nomor KTP <span class="warning">*</span></label>
	   <div class="col-lg-10 ">
	      <input type="text" maxlength=20 name="pemilik.pml_ktp" value="${pemilik?.pml_ktp}" class="form-control #{validate 'pemilik.pml_ktp' /}">
	      <div class="invalid-feedback">#{error 'pemilik.pml_ktp' /}</div>
	    </div>
	</div> 
	<div class="form-group row">
	   <label class="col-lg-2 col-form-label">Alamat <span class="warning">*</span></label>
	   <div class="col-lg-10 ">
	      <input type="text" maxlength=100 name="pemilik.pml_alamat" value="${pemilik?.pml_alamat}" class="form-control #{validate 'pemilik.pml_alamat' /}">
	      <div class="invalid-feedback">#{error 'pemilik.pml_alamat' /}</div>
	    </div>
	</div> 
	<div class="form-group row">
	   <label class="col-lg-2 col-form-label">Saham <span class="warning">**</span></label>
	   <div class="col-lg-2 ">
	      <input type="text" name="pemilik.pml_saham" maxlength="15" value="${pemilik?.pml_saham}" class="form-control #{validate 'pemilik.pml_saham' /}">
	      <div class="invalid-feedback">#{error 'pemilik.pml_saham' /}</div>
	    </div>
        <label class="col-lg-2 col-form-label">Satuan <span class="warning">*</span></label>
        <div class="col-lg-6">
            <div class="form-check form-check-inline">
				<input class="form-check-input #{validate 'pemilik.pml_satuan' /}" type="radio" name="pemilik.pml_satuan" value="0" #{if pemilik.lembar} checked #{/if}>
				<label class="form-check-label">Lembar</label>
			</div>
			<div class="form-check form-check-inline">
            	<input class="form-check-input #{validate 'pemilik.pml_satuan' /}" type="radio" name="pemilik.pml_satuan" value="1" #{if pemilik.prosentase} checked #{/if}>
				<label class="form-check-input">Persen</label>
			</div>
            <div class="invalid-feedback">#{error 'pemilik.pml_satuan' /}</div>
        </div>
	</div>
    <div class="form-group row">
	    <div class="col-lg-offset-2 col-lg-10">
	    	#{if active_user.canEditDataPenyedia} #{saveButton /} #{/if}
       		#{backButton action:@rekanan.PemilikCtr.list()/}
	    </div>
	</div>
 #{/form} 
 	<div class="bs-callout bs-callout-warning">
        <span class="warning">*</span> Data ini wajib diisi.<br />
        <span class="warning">**</span> Masukkan 0 (nol) jika tidak memiliki saham.
    </div> 		
</div>

#{if !active_user.canEditDataPenyedia}
#{set 'custom_script'}
<script type="text/javascript">
$(document).ready(function(){
	$("form input").attr('disabled','disabled');
	$("form select").attr('disabled','disabled');
	$("form button.btn-simpan").attr('disabled','disabled');
	$(".removeBtn").hide();
})
</script>
#{/set}
#{/if}